## python-pytest-asyncio 0.16.0

=== Makefile ===
.PHONY: clean clean-build clean-pyc clean-test lint test

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with flake8
	flake8 pytest_asyncio tests
	black --check --verbose pytest_asyncio tests

test:
	pytest tests

## python-pytest-asyncio 0.9.0

=== debian/changelog ===
python-pytest-asyncio (0.9.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Python 3.7 support.
    + Remove ProcessPoolExecutor support.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Aug 2018 11:59:05 +0200

python-pytest-asyncio (0.8.0-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#886338.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jun 2018 11:38:33 +0200

=== debian/control ===
Source: python-pytest-asyncio
Section: python
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper,
 dh-python,
 python3,
 python3-setuptools,
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/cryptocoin-team/python-pytest-asyncio.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/python-pytest-asyncio
Homepage: https://github.com/pytest-dev/pytest-asyncio

Package: python3-pytest-asyncio
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Provides: ${python3:Provides}
Description: pytest support for asyncio.
 pytest-asyncio is a ibrary for testing asyncio code with pytest.
 .
 asyncio code is usually written in the form of coroutines,
 which makes it slightly more difficult to test
 using normal testing tools.
 pytest-asyncio provides useful fixtures and markers
 to make testing easier.

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/pytest-dev/pytest-asyncio/tags \
 .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pytest-asyncio 0.10.0

=== debian/changelog ===
python-pytest-asyncio (0.10.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Pytest 4.1 support.
      Closes: Bug#934484. Thanks to David Steele.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.0.
  * Set Rules-Requires-Root: no.
  * Update watch file:
    + Simplify regular expressions.
    + Rewrite usage comment.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Sep 2019 12:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  dh-python,
  python3,
  python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/python-pytest-asyncio.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/python-pytest-asyncio
 Homepage: https://github.com/pytest-dev/pytest-asyncio
+Rules-Requires-Root: no
 
 Package: python3-pytest-asyncio
 Architecture: all

## python-pytest-asyncio 0.10.0-1+9.0trisquel1

=== debian/changelog ===
python-pytest-asyncio (0.10.0-1+9.0trisquel1) etiona; urgency=medium

  * Backported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 14 Dec 2019 02:44:01 +0000

## python-pytest-asyncio 0.14.0

=== debian/changelog ===
python-pytest-asyncio (0.14.0-5) unstable; urgency=medium

  * drop patch 2001 and depend on newer python3-pytest (not older);
    closes: bug#977049, thanks to Christian Kastner
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jan 2021 23:28:27 +0100

python-pytest-asyncio (0.14.0-4) unstable; urgency=medium

  * enable autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2020 20:45:05 +0200

python-pytest-asyncio (0.14.0-3) unstable; urgency=medium

  * move maintenance to salsa debian group:
    + update Vcs-* fields
    + set myself as maintainer (not Cryptocoin Team)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2020 13:30:23 +0200

python-pytest-asyncio (0.14.0-2) unstable; urgency=medium

  * copyright: update coverage
  * add patch 2001 to use older pytest;
    closes: bug#969050, thanks to Rebecca N. Palmer
  * fix (build-)depend on python3-async-generator;
    fix build-depend on python3-hypothesis python3-pytest;
    thanks to Rebecca N. Palmer (see bug#969050)
  * add patch 2002 to register mark with pytest
  * ignore testsuite failures for now
    (as accidentally done previously, less loudly)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2020 13:06:59 +0200

python-pytest-asyncio (0.14.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * simplify source script copyright-chceck
  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Aug 2020 17:36:50 +0200

=== debian/control ===
Source: python-pytest-asyncio
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-async-generator <!nocheck>,
 python3-hypothesis (>= 5.7.1) <!nocheck>,
 python3-pytest (>= 5.4.0) <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/python-pytest-asyncio.git
Vcs-Browser: https://salsa.debian.org/debian/python-pytest-asyncio
Homepage: https://github.com/pytest-dev/pytest-asyncio
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-pytest-asyncio
Architecture: all
Depends:
 python3-async-generator,
 ${cdbs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Provides: ${python3:Provides}
Description: pytest support for asyncio.
 pytest-asyncio is a ibrary for testing asyncio code with pytest.
 .
 asyncio code is usually written in the form of coroutines,
 which makes it slightly more difficult to test
 using normal testing tools.
 pytest-asyncio provides useful fixtures and markers
 to make testing easier.

=== debian/rules ===
#!/usr/bin/make -f

# FIXME: stop ignore testsuite failures
export PYBUILD_TEST_ARGS = || true

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pytest-asyncio 0.16.0

=== debian/changelog ===
python-pytest-asyncio (0.16.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 May 2022 13:55:37 -0700

python-pytest-asyncio (0.16.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Nov 2021 16:02:10 +0100

python-pytest-asyncio (0.15.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Sep 2021 00:08:02 +0200

=== debian/control ===
Source: python-pytest-asyncio
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-async-generator <!nocheck>,
               python3-hypothesis (>= 5.7.1) <!nocheck>,
               python3-pytest (>= 5.4.0) <!nocheck>,
               python3-setuptools
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/python-pytest-asyncio.git
Vcs-Browser: https://salsa.debian.org/debian/python-pytest-asyncio
Homepage: https://github.com/pytest-dev/pytest-asyncio
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-pytest-asyncio
Architecture: all
Depends: python3-async-generator,
         ${cdbs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: pytest support for asyncio.
 pytest-asyncio is a ibrary for testing asyncio code with pytest.
 .
 asyncio code is usually written in the form of coroutines,
 which makes it slightly more difficult to test
 using normal testing tools.
 pytest-asyncio provides useful fixtures and markers
 to make testing easier.

## python-pytest-asyncio 0.18.1

=== Makefile ===
--- 
+++ 
@@ -20,9 +20,20 @@
 	rm -f .coverage
 	rm -fr htmlcov/
 
-lint: ## check style with flake8
-	flake8 pytest_asyncio tests
-	black --check --verbose pytest_asyncio tests
+lint:
+# CI env-var is set by GitHub actions
+ifdef CI
+	python -m pre_commit run --all-files --show-diff-on-failure
+else
+	python -m pre_commit run --all-files
+endif
+	python -m mypy pytest_asyncio --show-error-codes
 
 test:
-	pytest tests
+	coverage run -m pytest tests
+	coverage xml
+	coverage report
+
+install:
+	pip install -U pre-commit
+	pre-commit install

=== debian/changelog ===
python-pytest-asyncio (0.18.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not master upstream)
    + add usage comment
  * modernize build rules;
    build-depend on dh-sequence-python3 pybuild-plugin-pyproject
    (not dh-python)
  * build-depend on python3-flaky python3-mypy
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Feb 2022 16:14:26 +0100

=== debian/control ===
Source: python-pytest-asyncio
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-async-generator <!nocheck>,
 python3-flaky <!nocheck>,
 python3-hypothesis (>= 5.7.1) <!nocheck>,
 python3-mypy <!nocheck>,
 python3-pytest (>= 5.4.0) <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/python-pytest-asyncio.git
Vcs-Browser: https://salsa.debian.org/debian/python-pytest-asyncio
Homepage: https://github.com/pytest-dev/pytest-asyncio
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-pytest-asyncio
Architecture: all
Depends:
 python3-async-generator,
 ${cdbs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Provides: ${python3:Provides}
Description: pytest support for asyncio.
 pytest-asyncio is a ibrary for testing asyncio code with pytest.
 .
 asyncio code is usually written in the form of coroutines,
 which makes it slightly more difficult to test
 using normal testing tools.
 pytest-asyncio provides useful fixtures and markers
 to make testing easier.

=== debian/rules ===
#!/usr/bin/make -f

# FIXME: stop ignore testsuite failures
export PYBUILD_TEST_ARGS = || true

%:
	dh $@ --buildsystem=pybuild

## python-pytest-asyncio 0.18.3

=== debian/changelog ===
python-pytest-asyncio (0.18.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * break python3-pytest-mock;
    closes: bug#1012208, thanks to Julian Gilbey and Graham Inggs
  * avoid module pytest_trio not in Debian

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jun 2022 14:40:22 +0200

python-pytest-asyncio (0.18.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop ignore testsuite failures
  * add autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Mar 2022 17:34:23 +0100

## python-pytest-asyncio 0.19.0

=== debian/changelog ===
python-pytest-asyncio (0.19.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Aug 2022 19:35:38 +0200

## python-pytest-asyncio 0.20.3

=== debian/changelog ===
python-pytest-asyncio (0.20.3-1) unstable; urgency=medium

  [ upstream ]
  * new release
    * avoid usage of deprecated mark;
      closes: bug#1026209, thanks to Timo Röhling

  [ Jonas Smedegaard ]
  * drop patch 2002, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Dec 2022 14:35:17 +0100

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_TEST_ARGS = --asyncio-mode=auto

# TODO: enable more tests when pytest-trio is in Debian
PYBUILD_TEST_ARGS += --ignore tests/trio/test_fixtures.py

export PYBUILD_TEST_ARGS

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command:
# TODO: enable more tests when pytest-trio is in Debian
 pytest-3 --asyncio-mode=auto --ignore tests/trio/test_fixtures.py
Depends:
 python3-async-generator,
 python3-flaky,
 python3-hypothesis,
 python3-mypy,
 python3-pytest,
 python3-pytest-asyncio,

## python-pytest-asyncio 0.24.0a1

=== debian/changelog ===
python-pytest-asyncio (0.24.0a1-1) unstable; urgency=medium

  * New upstream release.
  * Adopt package and move it to the Python team. Thanks, Jonas!
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1047378).

 -- Roland Mas <lolando@debian.org>  Wed, 02 Oct 2024 17:59:00 +0200

python-pytest-asyncio (0.20.3-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * pytest-trio is now available, enable it
  * Add patch to make this compatible with Pytest 8.2 (Closes: #1072057)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 01 Jun 2024 13:19:21 +0200

python-pytest-asyncio (0.20.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip test_pytest_min_version_warning.py in autopkgtest for
    spurious AssertRewriteWarning

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Oct 2023 22:29:34 +0200

python-pytest-asyncio (0.20.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove broken test case; closes: bug#1051435

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Sep 2023 16:19:50 +0200

## python-pytest-asyncio 0.25.1

=== debian/changelog ===
python-pytest-asyncio (0.25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 03 Jan 2025 20:57:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pytest-asyncio
 Section: python
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Roland Mas <lolando@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -12,14 +13,15 @@
  python3-hypothesis (>= 5.7.1) <!nocheck>,
  python3-mypy <!nocheck>,
  python3-pytest (>= 5.4.0) <!nocheck>,
+ python3-pytest-trio <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/debian/python-pytest-asyncio.git
-Vcs-Browser: https://salsa.debian.org/debian/python-pytest-asyncio
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-asyncio.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-asyncio
 Homepage: https://github.com/pytest-dev/pytest-asyncio
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pytest-asyncio
 Architecture: all
@@ -29,6 +31,8 @@
  ${misc:Depends},
  ${python3:Depends},
 Provides: ${python3:Provides}
+Breaks:
+ python3-pytest-mock (<= 3.7.0),
 Description: pytest support for asyncio.
  pytest-asyncio is a ibrary for testing asyncio code with pytest.
  .

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_TEST_ARGS = --asyncio-mode=auto -k "not test_can_use_explicit_event_loop_fixture and not test_event_loop_fixture_finalizer_raises_warning_when_fixture_leaves_loop_unclosed and not test_event_loop_fixture_finalizer_raises_warning_when_test_leaves_loop_unclosed and not test_returns_false_for_unmarked_coroutine_item_in_strict_mode"

export PYBUILD_TEST_ARGS

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/pytest-dev/pytest-asyncio/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-pytest-asyncio 1.1.0

=== debian/changelog ===
python-pytest-asyncio (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Bump python3-pytest build-dependency to >= 8.4.0, since tests fail with
    8.3.5.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Sep 2025 13:02:45 +0100

python-pytest-asyncio (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Upgrade to v5; exclude pre-releases.
  * New upstream release (closes: #1114323).
  * tests: Ignore warning when running with installed pytest_asyncio.
  * Remove a cdbs leftover from the packaging.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 00:23:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-flaky <!nocheck>,
  python3-hypothesis (>= 5.7.1) <!nocheck>,
  python3-mypy <!nocheck>,
- python3-pytest (>= 5.4.0) <!nocheck>,
+ python3-pytest (>= 8.4.0) <!nocheck>,
  python3-pytest-trio <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
@@ -27,7 +27,6 @@
 Architecture: all
 Depends:
  python3-async-generator,
- ${cdbs:Depends},
  ${misc:Depends},
  ${python3:Depends},
 Provides: ${python3:Provides}

## python-pytest-asyncio 1.2.0

=== Makefile ===
--- 
+++ 
@@ -17,22 +17,11 @@
 
 clean-test: ## remove test and coverage artifacts
 	rm -fr .tox/
-	rm -f .coverage
+	rm -fr coverage/
 	rm -fr htmlcov/
 
-lint:
-# CI env-var is set by GitHub actions
-ifdef CI
-	python -m pre_commit run --all-files --show-diff-on-failure
-else
-	python -m pre_commit run --all-files
-endif
-	python -m mypy pytest_asyncio --show-error-codes
-
 test:
-	coverage run -m pytest tests
-	coverage xml
-	coverage report
+	coverage run -m pytest
 
 install:
 	pip install -U pre-commit

=== dependencies/pytest-min/requirements.txt ===
# Always adjust install_requires in setup.cfg and requirements.txt
# when changing minimum version dependencies
pytest[testing] == 8.2.0

=== debian/changelog ===
python-pytest-asyncio (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Oct 2025 22:34:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest-trio <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-asyncio.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-asyncio
 Homepage: https://github.com/pytest-dev/pytest-asyncio

=== debian/watch ===
Version: 5

Template: Github
Owner: pytest-dev
Project: pytest-asyncio
Uversion-Mangle: s/(\d)([ab]\d*)$/$1~$2/

## python-pytest-asyncio 1.3.0

=== debian/changelog ===
python-pytest-asyncio (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/upstream/metadata: Add metadata file.
  * d/patches/tests-installed-pytest-asyncio.patch: Update patch according
    to new upstream release.
  * d/control: Stop depending on python3-async-generator (Closes: #1119284).

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 28 Dec 2025 13:58:50 -0300

=== debian/control ===
Source: python-pytest-asyncio
Standards-Version: 4.7.3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-flaky <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-mypy <!nocheck>,
 python3-pytest (>= 8.4.0) <!nocheck>,
 python3-pytest-trio <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-asyncio
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-asyncio.git
Homepage: https://github.com/pytest-dev/pytest-asyncio
Rules-Requires-Root: no

Package: python3-pytest-asyncio
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: pytest support for asyncio.
 pytest-asyncio is a ibrary for testing asyncio code with pytest.
 .
 asyncio code is usually written in the form of coroutines,
 which makes it slightly more difficult to test
 using normal testing tools.
 pytest-asyncio provides useful fixtures and markers
 to make testing easier.
